// @flow
export default function downloadRedirect(filename : string, url : string) {
  const link = document.createElement('a')
  link.href = url
  link.style.display = 'none'
  link.download = filename
  link.target = '_blank'

  const { body } = document
  if (body) {
    body.appendChild(link)
    link.click()
    body.removeChild(link)
  }
}
